@media (max-width: 1200px) {
    .section-top-categories,
    .section-best-deals,
    .section-weekly-popular,
    .section-services,
    .section-banner,
    .section-help,
    .section-cylinders,
    .section-accessories {
        padding: 40px 30px;
    }

    .category {
        width: unset;
        height: unset;
    }
    .category-box {
        grid-template-columns: repeat(4, 1fr);
    }

    .category-backdrop {
        width: 100%;
    }

    .category-backdrop span {
        width: 100%;
        display: block;
    }

    .cylinders-box {
        grid-template-columns: repeat(4, 1fr);
    }

    .hero-details-box {
        width: 70% !important;
    }
}

@media (max-width: 1280px) {
    .services-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .cylinders-box {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 1024px) {
    .section-hero {
        height: 100vh;
    }

    .services-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .help-heading {
        padding: 20px;
    }

    .section-shop-header,
    .section-blog-header {
        height: 50vh;
        position: relative;
    }

    .shop-cylinders-box,
    .shop-accessories-box {
        grid-template-columns: repeat(3, 1fr);
    }

    .about-us-img-box {
        position: unset;
        width: unset;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(3, 1fr);
        justify-items: center;
    }

    .map {
        height: 400px;
        width: 400px;
    }
}

@media (max-width: 820px) {
    .section-hero {
        height: 80vh;
    }

    .shop-cylinders-box,
    .shop-accessories-box {
        grid-template-columns: repeat(3, 1fr);
        row-gap: 20px;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(3, 1fr);
        justify-items: center;
    }
}

@media (max-width: 768px) {
    .hero-details-box {
        width: 80% !important;
    }

    .best-deals-box {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 20px;
    }

    .section-help-box {
        flex-direction: column;
        gap: 20px;
        margin-bottom: 90px;
        height: unset;
    }

    .help img {
        height: 200px;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(3, 1fr);
        justify-items: center;
    }

    .cylinders-box {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 20px;
    }

    .section-weekly-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .shop-cylinders-box,
    .shop-accessories-box {
        grid-template-columns: repeat(2, 1fr);
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }
}

@media (max-width: 570px) {
    .section-hero {
        height: 100vh;
    }

    .services-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .hero-details-box {
        width: 90% !important;
    }

    .achievements-box {
        gap: 50px;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(3, 1fr);
        justify-items: center;
    }

    .category-box {
        grid-template-columns: repeat(3, 1fr);
    }

    .cart-add {
        flex-direction: column;
    }

    .coupon,
    .subtotal {
        width: 100%;
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }

    .payment-process {
        padding: 0;
    }

    .payment-process-details {
        flex-direction: column;
    }

    .left,
    .right {
        width: 100%;
    }
}

@media (max-width: 450px) {
    .section-hero {
        height: 80vh;
    }

    .hero-details-box {
        width: 100% !important;
    }

    .hero-sub-text {
        display: none;
    }

    .category-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .achievements-box {
        flex-direction: column;
        align-items: center;
    }

    .shop-cylinders-box,
    .shop-accessories-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(2, 1fr);
        justify-items: center;
        padding: 5px;
    }

    .cart-add {
        flex-direction: column;
        padding: 0;
    }

    .coupon {
        width: 100%;
    }

    .subtotal {
        width: 100%;
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }

    .payment-process {
        padding: 0;
    }

    .payment-process-details {
        flex-direction: column;
    }

    .left,
    .right {
        width: 100%;
    }

    .retail-outlets {
        grid-template-columns: 1fr;
    }

    .map {
        width: 300px;
    }

    .about-us-img-box {
        padding: 5px;
    }
}

@media (max-width: 414px) {
    .section-hero {
        height: 80vh;
    }

    .category-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .shop-cylinders-box,
    .shop-accessories-box {
        grid-template-columns: repeat(2, 1fr);
    }

    .cart-add {
        flex-direction: column;
        padding: 0;
    }

    .coupon {
        width: 100%;
    }

    .subtotal {
        width: 100%;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(2, 1fr);
        justify-items: center;
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }

    .payment-process {
        padding: 0;
    }

    .payment-process-details {
        flex-direction: column;
    }

    .left,
    .right {
        width: 100%;
    }

    .retail-outlets {
        grid-template-columns: 1fr;
    }

    .map {
        width: 300px;
    }

    .about-us-img-box {
        padding: 5px;
    }
}

@media (max-width: 375px) {
    .cart-add {
        flex-direction: column !important;
    }

    .coupon {
        width: 100%;
    }

    .subtotal {
        width: 100%;
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(2, 1fr);
        justify-items: center;
    }

    .cylinders-box {
        grid-template-columns: repeat(1, 1fr);
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }

    .payment-process {
        padding: 0;
    }

    .payment-process-details {
        flex-direction: column;
    }

    .left,
    .right {
        width: 100%;
    }

    .retail-outlets {
        grid-template-columns: 1fr;
    }

    .map {
        width: 300px;
    }

    .about-us-img-box {
        padding: 5px;
    }
}

@media (max-width: 280px) {
    .section-hero {
        height: 100vh;
    }

    .category-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .best-deals-box {
        grid-template-columns: repeat(1, 1fr);
        row-gap: 20px;
    }

    .service-details h5 {
        font-size: 15px;
    }

    .service-details p {
        font-size: 13px;
    }

    .section-weekly-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .section-featured-products {
        padding: 10px !important;
    }

    .featured-product-box {
        grid-template-columns: repeat(1, 1fr);
        justify-items: center;
    }

    .shop-cylinders-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .refill-box {
        padding: unset !important;
    }

    .cart-add {
        padding: 0;
    }

    .payment-process {
        padding: 0;
    }

    .payment-process-details {
        flex-direction: column;
    }

    .left,
    .right {
        width: 100%;
    }

    .retail-outlets {
        grid-template-columns: 1fr;
    }

    .map {
        width: 300px;
    }

    .about-us-img-box {
        padding: 5px;
    }

    /******************* SINGLE PRODUCT **************************/

    .section-product {
        flex-direction: column;
    }

    .single-prod-img {
        width: 100%;
        margin-right: 0;
    }

    .single-prod-details {
        width: 100%;
    }
}
